# RetrieveVirtualItemEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [RetrieveVirtualItem](/api/wisej.web/lists-and-grids/listview.md#retrievevirtualitem) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class RetrieveVirtualItemEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class RetrieveVirtualItemEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) RetrieveVirtualItemEventArgs(itemIndex)

Initializes a new instance of the [RetrieveVirtualItemEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.retrievevirtualitemeventargs.md) class.

| Name          | Type                                                        | Description                        |
| ------------- | ----------------------------------------------------------- | ---------------------------------- |
| **itemIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The index of the item to retrieve. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Item

[ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md): Returns or sets the item retrieved from the cache.

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the item to retrieve from the cache.

## Used By

| Name                                                                                                                    | Description                                                                                                                                                                                         |
| ----------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [RetrieveVirtualItemEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.retrievevirtualitemeventhandler.md) | Represents the method that will handle the [RetrieveVirtualItem](/api/wisej.web/lists-and-grids/listview.md#retrievevirtualitem) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.retrievevirtualitemeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
